{-# LANGUAGE OverloadedStrings #-}

-- |
-- Module      :  ACME.Acme.HeroClub.Type
-- Copyright   :  I am D. 2015-2016
-- License     :  BSD3
--
-- Maintainer  :  d.kupanhy@gmail.com
-- Stability   :  stable
--
-- This package gives you Hero Club Five Tenets, Yuki Yuna is a Hero.
--
module Acme.HeroClub.Type
    ( Lang (..)
    , No (..)
    , Member (..)
    , FiveTenets (tenets)
    ) where

import qualified Data.Text as T
import qualified Data.Text.IO as T

-- | Language dispaly.
data Lang = Japan | English


-- | Number
data No = One | Two | Three | Four | Five deriving ( Bounded, Enum )


-- | Members of HeroClub
data Member = FuInubozaki | YunaYuki | MimoriTogo | ItsukiInubozaki | KarinMiyoshi deriving ( Show, Eq, Bounded, Enum )


-- | FiveTenets (be able to select language)
class FiveTenets t where
    tenets :: t -> No ->  T.Text


